Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159217 - nscd updates for the new audit system
Summary: nscd updates for the new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:37 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-678
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:39:39 UTC


Attachments (Terms of Use)
patch to redirect avc denial messages (deleted)
2005-05-31 19:27 UTC, Steve Grubb
no flags Details | Diff
patch to redirect avc denial messages (deleted)
2005-06-01 15:21 UTC, Steve Grubb
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Sourceware 1085 None None None Never
Red Hat Product Errata RHBA-2005:678 qe-ready SHIPPED_LIVE glibc bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-31 17:37:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
nscd needs an update to steer SE Linux avc denial messages into the audit system. I will attach a patch that adds the needed functionality.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. New functionality

Additional info:

Comment 1 Steve Grubb 2005-05-31 19:27:04 UTC
Created attachment 115009 [details]
patch to redirect avc denial messages

This patch imposes a BuildRequires: audit-libs-devel >= 0.9

I may need to rework the configure part of the patch - but I wanted to put it
in cvs "as is" so it doesn't get lost.

Comment 2 Steve Grubb 2005-06-01 15:21:49 UTC
Created attachment 115034 [details]
patch to redirect avc denial messages

This is a refined version that should do what Ulrich had asked for the
configure script. Please review and apply. This patch can also be rolled out
for rawhide.

Comment 10 Jakub Jelinek 2005-07-06 17:13:57 UTC
RHEL4 U2 initial glibc testing RPMs that should address also this problem
uploaded to ftp://people.redhat.com/jakub/glibc/2.3.4-2.10/


Comment 13 Red Hat Bugzilla 2005-10-05 16:39:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-678.html



Note You need to log in before you can comment on or make changes to this bug.